﻿using System;
using System.Collections.Generic;
using System.Text;

namespace ELTE.Forms.Switchboard
{
    /// <summary>
    /// A hvás típusa.
    /// </summary>
    public class Call
    {
        /// <summary>
        /// Hívás hossza.
        /// </summary>
        public Int32 Length;
        /// <summary>
        /// Hívás melléke.
        /// </summary>
        public Int32 Extension;
        /// <summary>
        /// Kapcsolták-e már a hívást.
        /// </summary>
        public Boolean Connected;

        /// <summary>
        /// Hívás létrehozása.
        /// </summary>
        /// <param name="extensionNumber">A mellékek száma.</param>
        public Call(Int32 extensionNumber) 
        {
            Random random = new Random();
            Length = random.Next(5, 15); // a hossza 5 és 15 közötti véletlenszám
            Extension = random.Next(1, extensionNumber + 1);
            Connected = false; // kezdetben még nem kapcsolt
        }
    }
}
